from axelrod.action import Action
from axelrod.player import Player
lIllllII, lIIlIllIIIlllIllIlIl = Action.C, Action.D
class IIIllllIlI(Player):
    IllIIIlIlIlIlI = "strategy"
    IlIIIlIlIIIlllIllIll = {
        "memory_depth": float("inf"),  
        "stochastic": False,
        "long_run_time": False,
        "inspects_source": False,
        "manipulates_source": False,
        "manipulates_state": False,
    }
    def IIlIIIIlIllIIIllI(lIlIIlIl, IlIlllII: Player) -> Action:
        if IlIlllII.defections:
            if lIlIIlIl.history[-1] == lIllllII:
                return lIIlIllIIIlllIllIlIl
        return lIllllII